RESTinio

Public Types | Static Public Member Functions | Public Attributes | List of all members
restinio::http_field_parsers::cache_control_value_t Struct Reference

Tools for working with the value of Cache-Control HTTP-field. More...

`#include <cache-control.hpp>`

## Public Types
using | directive_t = parameter_with_optional_value_t
using | directive_container_t = parameter_with_optional_value_container_t

## Static Public Member Functions
static RESTINIO_NODISCARD auto | make_parser ()
| A factory function for a parser of Cache-Control value. More...
static RESTINIO_NODISCARD expected_t< cache_control_value_t, restinio::easy_parser::parse_error_t > | try_parse (string_view_t what)
| An attempt to parse Cache-Control HTTP-field. More...

## Public Attributes
directive_container_t | directives

## Detailed Description

Tools for working with the value of Cache-Control HTTP-field.

This struct represents parsed value of HTTP-field Cache-Control (see https://tools.ietf.org/html/rfc7234#section-5.2):

         Cache-Control   = 1#cache-directive

         cache-directive = token [ "=" ( token / quoted-string ) ]

Note
  Parameter names are converted to lower case during the parsing. Parameter values are left as they are.

Since
  v.0.6.1

Definition at line 42 of file cache-control.hpp.

## Member Typedef Documentation

## ◆ directive_container_t

using restinio::http_field_parsers::cache_control_value_t::directive_container_t = parameter_with_optional_value_container_t

Definition at line 46 of file cache-control.hpp.

## ◆ directive_t

using restinio::http_field_parsers::cache_control_value_t::directive_t = parameter_with_optional_value_t

Definition at line 44 of file cache-control.hpp.

## Member Function Documentation

## ◆ make_parser()

static RESTINIO_NODISCARD auto restinio::http_field_parsers::cache_control_value_t::make_parser | ( |  | ) |
| inline static

A factory function for a parser of Cache-Control value.

Since
  v.0.6.1

Definition at line 57 of file cache-control.hpp.

## ◆ try_parse()

static RESTINIO_NODISCARD expected_t< cache_control_value_t, restinio::easy_parser::parse_error_t > restinio::http_field_parsers::cache_control_value_t::try_parse | ( | string_view_t | what | ) |
| inline static

An attempt to parse Cache-Control HTTP-field.

Since
  v.0.6.1

Definition at line 82 of file cache-control.hpp.

## Member Data Documentation

## ◆ directives

directive_container_t restinio::http_field_parsers::cache_control_value_t::directives

Definition at line 48 of file cache-control.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/cache-control.hpp